org.apache.ignite.internal.processors.query

## Interface UpdateSourceIterator<T>

All Superinterfaces:
  AutoCloseable, GridCloseableIterator<T>, GridIterator<T>, GridSerializableIterator<T>, IgniteSpiCloseableIterator<T>, Iterable<T>, Iterator<T>, Serializable

All Known Implementing Classes:
  GridDhtTxEnlistFuture, GridDhtTxQueryResultsEnlistFuture

    public interface UpdateSourceIterator<T>
    extends GridCloseableIterator<T>

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default void` `beforeDetach()` Callback method which should be called before moving iteration into another thread.
`default void` `close()` Closes the iterator and frees all the resources held by the iterator.
`default boolean` `hasNext()`
`default boolean` `isClosed()` Checks if iterator has been closed.
`default @NotNull Iterator<T>` `iterator()`
`default T` `next()`
`EnlistOperation` `operation()`
`default void` `remove()`
`default void` `removeX()` This method is the same as `Iterator.remove()`, but allows for failure with exception.

### Methods inherited from interface org.apache.ignite.internal.util.lang.GridIterator

`hasNextX, nextX`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Method Detail

#### operation

    EnlistOperation operation()

Returns:
  Operation.

#### beforeDetach

    default void beforeDetach()

Callback method which should be called before moving iteration into another thread.

#### close

    default void close()
                throws IgniteCheckedException

Closes the iterator and frees all the resources held by the iterator. Iterator can not be used any more after calling this method.

The method is invoked automatically on objects managed by the `try-with-resources` statement.

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `GridCloseableIterator<T>`
Specified by:
  `close` in interface `IgniteSpiCloseableIterator<T>`
Throws:
  `IgniteCheckedException` - In case of error.

#### isClosed

    default boolean isClosed()

Checks if iterator has been closed.

Specified by:
  `isClosed` in interface `GridCloseableIterator<T>`
Returns:
  `True` if iterator has been closed.

#### removeX

    default void removeX()
                  throws IgniteCheckedException

This method is the same as `Iterator.remove()`, but allows for failure with exception.

Specified by:
  `removeX` in interface `GridIterator<T>`
Throws:
  `IgniteCheckedException` - If failed.

#### hasNext

    default boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<T>`

#### next

    default T next()

Specified by:
  `next` in interface `Iterator<T>`

#### remove

    default void remove()

Specified by:
  `remove` in interface `Iterator<T>`

#### iterator

    @NotNull
    default @NotNull Iterator<T> iterator()

Specified by:
  `iterator` in interface `Iterable<T>`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020